/***********************************************************************************************************************
 *
 * blueBill Mobile - open source birdwatching
 * ==========================================
 *
 * Copyright (C) 2009, 2010 by Tidalwave s.a.s. (http://www.tidalwave.it)
 * http://bluebill.tidalwave.it/mobile/
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * $Id: TaxonSoundFactSheetUI.java,v fc29e75aef9a 2010/06/26 12:47:56 fabrizio $
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebill.mobile.taxonomy.factsheet.sound;

import javax.annotation.Nonnull;
import it.tidalwave.mobile.media.MediaPlayer.Controller;
import it.tidalwave.mobile.ui.CommonUITasks;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: $
 *
 **********************************************************************************************************************/
public interface TaxonSoundFactSheetUI
  {
    /*******************************************************************************************************************
     *
     *
     ******************************************************************************************************************/
    @Nonnull
    public CommonUITasks getCommonUITasks();

    /*******************************************************************************************************************
     *
     *
     ******************************************************************************************************************/
    public void notifyPlayMedia (@Nonnull Controller controller);

    /*******************************************************************************************************************
     *
     *
     ******************************************************************************************************************/
    public void openWebPage (@Nonnull String url);

    /*******************************************************************************************************************
     *
     *
     ******************************************************************************************************************/
    public void notifyDataLoaded();

    /*******************************************************************************************************************
     *
     *
     ******************************************************************************************************************/
    public void notify (@Nonnull String message);
  }
