/***********************************************************************************************************************
 *
 * blueBill Mobile - open source birdwatching
 * ==========================================
 *
 * Copyright (C) 2009, 2010 by Tidalwave s.a.s. (http://www.tidalwave.it)
 * http://bluebill.tidalwave.it/mobile/
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * $Id: NewsUI.java,v c94a06e77b11 2010/07/04 11:51:33 fabrizio $
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebill.mobile.news;

import it.tidalwave.mobile.rss.RSSFeed;
import javax.annotation.Nonnull;
import it.tidalwave.mobile.ui.CommonUITasks;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id:$
 *
 **********************************************************************************************************************/
public interface NewsUI
  {
    /*******************************************************************************************************************
     *
     *
     ******************************************************************************************************************/
    @Nonnull
    public CommonUITasks getCommonUITasks();

    /*******************************************************************************************************************
     *
     *
     ******************************************************************************************************************/
    public void notifyFeedAvailable (@Nonnull RSSFeed rssFeed);

    /*******************************************************************************************************************
     *
     *
     ******************************************************************************************************************/
    public void notifyFeedUnavailable (@Nonnull Exception e);

    /*******************************************************************************************************************
     *
     *
     ******************************************************************************************************************/
    public void close();
  }
