/***********************************************************************************************************************
 *
 * blueBill Mobile - open source birdwatching
 * ==========================================
 *
 * Copyright (C) 2009, 2010 by Tidalwave s.a.s. (http://www.tidalwave.it)
 * http://bluebill.tidalwave.it/mobile/
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * $Id: RSSFeed.java,v c94a06e77b11 2010/07/04 11:51:33 fabrizio $
 *
 **********************************************************************************************************************/
package it.tidalwave.mobile.rss;

import javax.annotation.Nonnull;
import java.util.Map;
import it.tidalwave.util.Id;
import it.tidalwave.util.Key;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: $
 *
 **********************************************************************************************************************/
public class RSSFeed extends EntityWithProperties<RSSFeed>
  {
    /*******************************************************************************************************************
     *
     *
     ******************************************************************************************************************/
    public RSSFeed (final @Nonnull Id id)
      {
        super(id);
      }

    /*******************************************************************************************************************
     *
     *
     ******************************************************************************************************************/
    protected RSSFeed (final @Nonnull Id id, final @Nonnull Map<Key<?>, Object> map)
      {
        super(id, map);
      }

    /*******************************************************************************************************************
     *
     *
     ******************************************************************************************************************/
    @Override @Nonnull
    protected RSSFeed clone (final @Nonnull Map<Key<?>, Object> asMap)
      {
        return new RSSFeed(getId(), asMap);
      }
  }
